Use this method to create a new subproject off of a parent project. A subproject is a great way to group resources together.
- Subprojects cannot have their own billing account. The billing account is handled by the parent project.
- You cannot have a subproject created off of a subproject.
Security
OAuth2.0 or Basic
The display name of the subproject. You cannot have a null value. It does not have to be unique.
Example:"Taco Time"
- Placeholder Serverhttps://subproject.api.sinch.com/v1/projects/{parentProjectId}/subprojects
curl -i -X POST \
https://subproject.api.sinch.com/v1/projects/dxxxxxba48b144xxxxx184b81e4xxxxx/subprojects \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"displayName": "YOUR_customer'\''s_business_name",
"labels": {
"YOUR_key1": "YOUR_value1",
"YOUR_key2": "YOUR_value2",
"YOUR_key3": "YOUR_value3"
}
}'A successful response.
The unique subproject identifier. Not to be confused with the parentProjectId; the subprojectId is a new ID related to your parent project.
The display name of the subproject. You cannot have a null value. It does not have to be unique.
Example:"Your Customer's Business Name"
The parent project ID the subproject belongs to. Set from the URL path on creation; a value sent in the request body is ignored.
The date/time the subproject was created. ISO 8601 format.
The date/time the subproject was updated. ISO 8601 format.
Response
{ "createTime": "2019-08-24T14:15:22Z", "deleted": false, "displayName": "Your Customer's Business Name", "labels": { "property1": "string", "property2": "string" }, "parentProjectId": "string", "subprojectId": "string", "updateTime": "2019-08-24T14:15:22Z" }